com.buschmais.jqassistant.plugin.java.api.model

## Interface MethodDescriptor

- All Superinterfaces:
    AbstractDescriptor, AccessModifierDescriptor, AnnotatedDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, JavaDescriptor, MemberDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor
  All Known Subinterfaces:
    ConstructorDescriptor

      @Label(value="Method")
      public interface MethodDescriptor
      extends MemberDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, AnnotatedDescriptor, AccessModifierDescriptor, AbstractDescriptor

  Describes a method of a Java class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TypeDescriptor>` | `getDeclaredThrowables()`
    `com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?>` | `getHasDefault()`
    `List<InvokesDescriptor>` | `getInvokedBy()`
    `List<InvokesDescriptor>` | `getInvokes()`
    `List<ParameterDescriptor>` | `getParameters()`
    `List<ReadsDescriptor>` | `getReads()`
    `TypeDescriptor` | `getReturns()`
    `List<WritesDescriptor>` | `getWrites()`
    `Boolean` | `isNative()`
    `void` | `setHasDefault(com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?> hasDefault)`
    `void` | `setNative(Boolean nativeMethod)`
    `void` | `setReturns(TypeDescriptor returns)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.MemberDescriptor

      `getDeclaringType, getSignature, setSignature`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AnnotatedDescriptor

      `getAnnotatedBy`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AccessModifierDescriptor

      `getVisibility, isFinal, isStatic, isSynthetic, setFinal, setStatic, setSynthetic, setVisibility`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AbstractDescriptor

      `isAbstract, setAbstract`

- - ### Method Detail

    - #### getParameters

          @Relation(value="HAS")
          List<ParameterDescriptor> getParameters()

    - #### getReturns

          @Relation(value="RETURNS")
          TypeDescriptor getReturns()

    - #### setReturns

          void setReturns(TypeDescriptor returns)

    - #### getHasDefault

          @Relation(value="HAS_DEFAULT")
          com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?> getHasDefault()

    - #### setHasDefault

          void setHasDefault(com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?> hasDefault)

    - #### getDeclaredThrowables

          @Relation(value="THROWS")
          List<TypeDescriptor> getDeclaredThrowables()

    - #### getReads

          List<ReadsDescriptor> getReads()

    - #### getWrites

          List<WritesDescriptor> getWrites()

    - #### getInvokes

          List<InvokesDescriptor> getInvokes()

    - #### getInvokedBy

          List<InvokesDescriptor> getInvokedBy()

    - #### isNative

          @Property(value="native")
          Boolean isNative()

    - #### setNative

          void setNative(Boolean nativeMethod)

Copyright © 2015 buschmais GbR. All rights reserved.